# FoundationClasses
TKernel
TColStd

# TColStd_HArray1OfListOfInteger Class Reference

`#include <TColStd_HArray1OfListOfInteger.hxx>`

Inheritance diagram for TColStd_HArray1OfListOfInteger:

[legend]

## Public Member Functions

Standard_EXPORT | TColStd_HArray1OfListOfInteger (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColStd_HArray1OfListOfInteger (const Standard_Integer Low, const Standard_Integer Up, const TColStd_ListOfInteger &V)
Standard_EXPORT void | Init (const TColStd_ListOfInteger &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TColStd_ListOfInteger &Value)
const TColStd_ListOfInteger & | Value (const Standard_Integer Index) const
TColStd_ListOfInteger & | ChangeValue (const Standard_Integer Index)
const TColStd_Array1OfListOfInteger & | Array1 () const
TColStd_Array1OfListOfInteger & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_Array1OfListOfInteger | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_HArray1OfListOfInteger::TColStd_HArray1OfListOfInteger | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColStd_HArray1OfListOfInteger::TColStd_HArray1OfListOfInteger | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const TColStd_ListOfInteger & | V
| ) |

## Member Function Documentation

const TColStd_Array1OfListOfInteger& TColStd_HArray1OfListOfInteger::Array1 | ( |  | ) | const

TColStd_Array1OfListOfInteger& TColStd_HArray1OfListOfInteger::ChangeArray1 | ( |  | ) |

TColStd_ListOfInteger& TColStd_HArray1OfListOfInteger::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TColStd_HArray1OfListOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HArray1OfListOfInteger::Init | ( | const TColStd_ListOfInteger & | V | ) |

Standard_Integer TColStd_HArray1OfListOfInteger::Length | ( |  | ) | const

Standard_Integer TColStd_HArray1OfListOfInteger::Lower | ( |  | ) | const

void TColStd_HArray1OfListOfInteger::SetValue | ( | const Standard_Integer | Index,
|  | const TColStd_ListOfInteger & | Value
| ) |

Standard_Integer TColStd_HArray1OfListOfInteger::Upper | ( |  | ) | const

const TColStd_ListOfInteger& TColStd_HArray1OfListOfInteger::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TColStd_Array1OfListOfInteger TColStd_HArray1OfListOfInteger::myArray `[private]`

The documentation for this class was generated from the following file:

- TColStd_HArray1OfListOfInteger.hxx